using System;
using System.Collections;
using System.ComponentModel;
using System.Drawing;
using System.Windows.Forms;

namespace JXC_MIS.UserTier.Qcs
{
	public class frmQcs_InLib : JXC_MIS.UserTier.BaseForm.frmReceiptBase
	{
		#region 设计器生成的代码
		private System.ComponentModel.IContainer components = null;

		public frmQcs_InLib()
		{
			// 该调用是 Windows 窗体设计器所必需的。
			InitializeComponent();

			// TODO: 在 InitializeComponent 调用后添加任何初始化
		}

		/// <summary>
		/// 清理所有正在使用的资源。
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if (components != null) 
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		/// <summary>
		/// 设计器支持所需的方法 - 不要使用代码编辑器修改
		/// 此方法的内容。
		/// </summary>
		private void InitializeComponent()
		{
			// 
			// TxtTemp
			// 
			this.TxtTemp.Name = "TxtTemp";
			// 
			// sbr_statusBar
			// 
			this.sbr_statusBar.Name = "sbr_statusBar";
			this.sbr_statusBar.Size = new System.Drawing.Size(697, 26);
			// 
			// tbr_Toolbar
			// 
			this.tbr_Toolbar.Name = "tbr_Toolbar";
			this.tbr_Toolbar.Size = new System.Drawing.Size(697, 42);
			// 
			// CboReceiptNo
			// 
			this.CboReceiptNo.Name = "CboReceiptNo";
			this.CboReceiptNo.Size = new System.Drawing.Size(150, 20);
			// 
			// cbo_Year
			// 
			this.cbo_Year.Name = "cbo_Year";
			this.cbo_Year.Size = new System.Drawing.Size(56, 20);
			// 
			// cbo_Month
			// 
			this.cbo_Month.Name = "cbo_Month";
			this.cbo_Month.Size = new System.Drawing.Size(44, 20);
			// 
			// grd_Detail
			// 
			this.grd_Detail.Name = "grd_Detail";
			// 
			// grd_Footer
			// 
			this.grd_Footer.Name = "grd_Footer";
			// 
			// grd_Other
			// 
			this.grd_Other.Name = "grd_Other";
			// 
			// btnDown
			// 
			this.btnDown.Name = "btnDown";
			// 
			// grd_Header
			// 
			this.grd_Header.Name = "grd_Header";
			// 
			// grd_Bottom
			// 
			this.grd_Bottom.Name = "grd_Bottom";
			// 
			// grd_Top
			// 
			this.grd_Top.Name = "grd_Top";
			// 
			// pnl_Back
			// 
			this.pnl_Back.Name = "pnl_Back";
			this.pnl_Back.Size = new System.Drawing.Size(697, 42);
			// 
			// frmQcs_InLib
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(6, 14);
			this.ClientSize = new System.Drawing.Size(648, 361);
			this.Name = "frmQcs_InLib";
			this.Load += new System.EventHandler(this.frmQcs_InLib_Load);

		}
		#endregion

		private void frmQcs_InLib_Load(object sender, System.EventArgs e)
		{
			//*****入库类型*****

			//以下三种形式同，只是期初入库、盘盈入库 默认供货商是本单位，而直接入库的供货商要指定
			//			this.ReceiptName="期初入库";
			//			this.ReceiptName="盘盈入库";
			//			this.ReceiptName="直接入库";

			//在上面三种形式基础上加了
			//fcPurchaseNo、fcSendGoodsNo、fcIntoGoodsNo、fcGoodsBatchNo、fcInspectNo、fcOtherNo1、fcOtherNo2
			//分别表示：采购单号、送货单号、验货单号、分批单号、检验单号、其它一、其它二

			//这种采购入库是指要走中间过程的入库
			//			this.ReceiptName="采购入库";

			//以上四种形式在数据库单据类型中已有定义，由菜单名（已写到本窗口标题）
			this.ReceiptName = this.Text;
												  
			this.InitInterface();
			JXC_MIS.UserTier.RefertoInput.frmGridRefertoSelect referto = new JXC_MIS.UserTier.RefertoInput.frmGridRefertoSelect();
			//referto.DataSourceKey = "产品库ID";
			this.IRefertoForm = referto;		
		}
	
	}//End Class
}//End NameSpace
